# SPDX-License-Identifier: Apache-2.0
# SPDX-FileCopyrightText: Huawei Inc.

summary: Integration tests for the PiBoot.Reboot function
details: |
    The Reboot function invoked without any flags just reboots the system by
    invoking the system reboot command.
execute: |
    test "$(busctl call org.oniroproject.sysota1 /org/oniroproject/sysota1/Service org.oniroproject.sysota1.BootLoader Reboot u 0)" = ""
    test -f "$MOCK_REBOOT_LOG"
    MATCH '^/usr/sbin/reboot$' "$MOCK_REBOOT_LOG"
